const {generateFileName, getPascalCase} = require('../../../utils/helperLoader');
const fs = require('fs');
const cwd = process.cwd();
const path = require('path');
const appDir = path.dirname(require.main.filename);
const {blueprintDirectory, filePath} = require('../../../utils/blueprints');

module.exports = function (args) {
    let prefix = 'actions';

    if (!fs.existsSync(`${cwd}/src/${prefix}`)) {
        fs.mkdirSync(`${cwd}/src/${prefix}`);
    }

    let fileName = generateFileName(args.name),
        componentName = getPascalCase(args.name);

    const coreFile = `${appDir}/blueprints/${prefix}/default.js`;

    let installDirectory = blueprintDirectory(args, cwd, prefix, componentName);

    if (fs.existsSync(filePath(installDirectory, fileName))) {
        fs.unlinkSync(filePath(installDirectory, fileName))
    }
};